data-default-0.5.3: A class for types with a default value

Safe Haskell | None
Language | Haskell98

Data.Default

Synopsis

- class Default a where
  - def :: a

# Documentation

This module defines a class for types with a default value. Instances are provided for '()', `Set`, `Map`, `Int`, `Integer`, `Float`, `Double`, and many others (see below).

class Default a where

A class for types with a default value.

Methods

def :: a

The default value for this type.

Instances

Default Double |
Default Float |
Default Int |
Default Int8 |
Default Int16 |
Default Int32 |
Default Int64 |
Default Integer |
Default Ordering |
Default Word |
Default Word8 |
Default Word16 |
Default Word32 |
Default Word64 |
Default () |
Default All |
Default Any |
Default IntSet |
Default TimeLocale |
Default [a] |
Integral a => Default (Ratio a) |
Default a => Default (IO a) |
(Default a, RealFloat a) => Default (Complex a) |
Default a => Default (Dual a) |
Default (Endo a) |
Num a => Default (Sum a) |
Num a => Default (Product a) |
Default (First a) |
Default (Last a) |
Default (Maybe a) |
Default (IntMap v) |
Default (Set v) |
Default a => Default (Tree a) |
Default (Seq a) |
Default (DList a) |
Default r => Default (e -> r) |
(Default a, Default b) => Default (a, b) |
Default (Map k v) |
(Default a, Default b, Default c) => Default (a, b, c) |
(Default a, Default b, Default c, Default d) => Default (a, b, c, d) |
(Default a, Default b, Default c, Default d, Default e) => Default (a, b, c, d, e) |
(Default a, Default b, Default c, Default d, Default e, Default f) => Default (a, b, c, d, e, f) |
(Default a, Default b, Default c, Default d, Default e, Default f, Default g) => Default (a, b, c, d, e, f, g) |